# LightWalletServiceError

    public enum LightWalletServiceError : Error

    extension LightWalletServiceError: Equatable

Wrapper for errors received from a Lightwalletd endpoint

- `generalError(message:)`

  Undocumented

  #### Declaration

  Swift

      case generalError(message: String)

- `failed(statusCode:message:)`

  Undocumented

  #### Declaration

  Swift

      case failed(statusCode: Int, message: String)

- `invalidBlock`

  Undocumented

  #### Declaration

  Swift

      case invalidBlock

- `sentFailed(error:)`

  Undocumented

  #### Declaration

  Swift

      case sentFailed(error: Error)

- `genericError(error:)`

  Undocumented

  #### Declaration

  Swift

      case genericError(error: Error)

- `timeOut`

  Undocumented

  #### Declaration

  Swift

      case timeOut

- `criticalError`

  Undocumented

  #### Declaration

  Swift

      case criticalError

- `userCancelled`

  Undocumented

  #### Declaration

  Swift

      case userCancelled

- `unknown`

  Undocumented

  #### Declaration

  Swift

      case unknown

- `==(_:_:)`

  #### Declaration

  Swift

      public static func == (lhs: `Self`, rhs: `Self`) -> Bool

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.